ReferenceData.SearchDelivery

Try it in Swagger

Endpoint

Request Schema

Headers

Header Required Notes
X-Api-Key Required when tenant is not resolved by subdomain Resolves the tenant/customer database.
Authorization: Bearer {token} Required for authorized endpoints Get a token from Auth/Token or Session/Create.

Query Parameters

Field Type Required Notes
searchTerm string Yes Query string value.

This endpoint does not accept a JSON request body.

Expected Response Schema

Status Codes

Status Notes
200 OK Returned by the controller for this operation.

Success Body

Response type: IReadOnlyList<ExistingProcessSearchDto>

Field Type Max Length Notes
referenceNumber string
caseNumber string
attorneyId int?
courtCode string 12 Court code, not the court display name. See Court.Search, Court.GetAll, or Court.Get for court lookup details.
plaintiff string
defendant string
court string
representing int?
representativeName string
specialInstructions string
department string
room string
workOrder string
dateOpened DateTime?
orderType int?

Response Sample

[
  {
    "referenceNumber": "REF-12345",
    "caseNumber": "24STCV12345",
    "attorneyId": 123,
    "courtCode": "LASC",
    "plaintiff": "Acme Corporation",
    "defendant": "John Doe",
    "court": "Los Angeles Superior Court",
    "representing": "Plaintiff",
    "representativeName": "Acme Corporation",
    "specialInstructions": "Call before delivery.",
    "department": "Dept 12",
    "room": "Room 305",
    "workOrder": "C123456",
    "dateOpened": "2026-05-07T00:00:00",
    "orderType": 123
  }
]